package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.ResourceMicroapp;
import com.lightinit.hsdataportal.entity.ResourceMicroappExample;
import com.lightinit.hsdataportal.entity.ResourceMicroappWithBLOBs;
import java.util.List;

import com.lightinit.hsdataportal.model.*;
import org.apache.ibatis.annotations.Param;

public interface ResourceMicroappMapper {
    long countByExample(ResourceMicroappExample example);

    int deleteByExample(ResourceMicroappExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceMicroappWithBLOBs record);

    int insertSelective(ResourceMicroappWithBLOBs record);

    List<ResourceMicroappWithBLOBs> selectByExampleWithBLOBs(ResourceMicroappExample example);

    List<ResourceMicroapp> selectByExample(ResourceMicroappExample example);

    ResourceMicroappWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceMicroappWithBLOBs record, @Param("example") ResourceMicroappExample example);

    int updateByExampleWithBLOBs(@Param("record") ResourceMicroappWithBLOBs record, @Param("example") ResourceMicroappExample example);

    int updateByExample(@Param("record") ResourceMicroapp record, @Param("example") ResourceMicroappExample example);

    int updateByPrimaryKeySelective(ResourceMicroappWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(ResourceMicroappWithBLOBs record);

    int updateByPrimaryKey(ResourceMicroapp record);

    List<MicroappListModel> selectOpenList(MicroappSearchModel inputModel);

    long selectOpenCount(MicroappSearchModel inputModel);


    List<MicroappListModel> selectShareList(MicroappSearchModel inputModel);


    long selectShareCount(MicroappSearchModel inputModel);

    MicroappViewModel queryView(@Param("id")long id,@Param("platformType") String platformType);

    ResourceMicroappWithBLOBs demo(long id);

    List<MyMicroappApplyListModel> selectOpenList1(MyMicroappApplySearchModel inputModel);

    long selectOpenCount1(MyMicroappApplySearchModel inputModel);

    List<TagsSearchChildListModel> selectSearchChildList(@Param("catelogCode") String catelogCode);
}